summaryrefslogtreecommitdiffstats
path: root/source/l/pango
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pango')
-rwxr-xr-xsource/l/pango/pango.SlackBuild23
-rw-r--r--source/l/pango/pango.etc.host.location.diff26
2 files changed, 24 insertions, 25 deletions
diff --git a/source/l/pango/pango.SlackBuild b/source/l/pango/pango.SlackBuild
index 1ebe74383..fd5d8966e 100755
--- a/source/l/pango/pango.SlackBuild
+++ b/source/l/pango/pango.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,11 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+PKGNAM=pango
VERSION=${VERSION:-$(echo pango-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j7 "}
-
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -49,6 +48,8 @@ else
LIBDIRSUFFIX=""
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-pango
@@ -61,10 +62,6 @@ tar xvf $CWD/pango-$VERSION.tar.?z* || exit 1
cd pango-$VERSION
-# Fix for x86_64 (does not hurt the other archs but note that we will start
-# using /etc/pango/$host instead of /etc/pango/ now):
-zcat $CWD/pango.etc.host.location.diff.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -72,6 +69,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix for x86_64 (does not hurt the other archs but note that we will start
+# using /etc/pango/$host instead of /etc/pango/ now):
+zcat $CWD/pango.etc.host.location.diff.gz | patch -p1 --verbose || exit 1
+
# Autoconf changes linux to linux-gnu.
# Our host is $ARCH-slackware-linux not $ARCH-slackware-linux-gnu:
sed -i -e 's#linux|linux-gnu|#linux|linux|#' config.sub
@@ -133,14 +134,12 @@ EOF
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/pango-$VERSION
cp -a \
- AUTHORS COPYING* NEWS README TODO \
+ AUTHORS COPYING* NEWS README* TODO \
$PKG/usr/doc/pango-$VERSION
ln -s /usr/share/gtk-doc/html/pango $PKG/usr/doc/pango-$VERSION/html
diff --git a/source/l/pango/pango.etc.host.location.diff b/source/l/pango/pango.etc.host.location.diff
index bb5a26dba..29aa1706e 100644
--- a/source/l/pango/pango.etc.host.location.diff
+++ b/source/l/pango/pango.etc.host.location.diff
@@ -1,18 +1,18 @@
-diff -uarN pango-1.22.4.orig/pango/Makefile.am pango-1.22.4/pango/Makefile.am
---- pango-1.22.4.orig/pango/Makefile.am 2008-12-16 07:14:00.000000000 +0100
-+++ pango-1.22.4/pango/Makefile.am 2009-03-04 23:58:26.000000000 +0100
-@@ -19,6 +19,7 @@
+diff -Nur pango-1.28.3.orig//pango/Makefile.am pango-1.28.3/pango/Makefile.am
+--- pango-1.28.3.orig//pango/Makefile.am 2010-09-29 05:42:31.000000000 -0500
++++ pango-1.28.3/pango/Makefile.am 2010-10-13 15:52:27.163733791 -0500
+@@ -27,6 +27,7 @@
-DPANGO_ENABLE_BACKEND \
-DPANGO_ENABLE_ENGINE \
-DSYSCONFDIR=\"$(sysconfdir)\" \
-+ -DHOST=\"$(host_triplet)\" \
++ -HOST=\"$(host_triplet)\" \
-DLIBDIR=\"$(libdir)\" \
-I$(top_srcdir) \
$(PANGO_DEBUG_FLAGS) \
-diff -uarN pango-1.22.4.orig/pango/Makefile.in pango-1.22.4/pango/Makefile.in
---- pango-1.22.4.orig/pango/Makefile.in 2008-12-16 07:14:36.000000000 +0100
-+++ pango-1.22.4/pango/Makefile.in 2009-03-04 23:58:26.000000000 +0100
-@@ -427,6 +427,7 @@
+diff -Nur pango-1.28.3.orig//pango/Makefile.in pango-1.28.3/pango/Makefile.in
+--- pango-1.28.3.orig//pango/Makefile.in 2010-09-29 06:02:35.000000000 -0500
++++ pango-1.28.3/pango/Makefile.in 2010-10-13 15:52:53.182319091 -0500
+@@ -535,6 +535,7 @@
-DPANGO_ENABLE_BACKEND \
-DPANGO_ENABLE_ENGINE \
-DSYSCONFDIR=\"$(sysconfdir)\" \
@@ -20,10 +20,10 @@ diff -uarN pango-1.22.4.orig/pango/Makefile.in pango-1.22.4/pango/Makefile.in
-DLIBDIR=\"$(libdir)\" \
-I$(top_srcdir) \
$(PANGO_DEBUG_FLAGS) \
-diff -uarN pango-1.22.4.orig/pango/modules.c pango-1.22.4/pango/modules.c
---- pango-1.22.4.orig/pango/modules.c 2008-12-16 07:14:00.000000000 +0100
-+++ pango-1.22.4/pango/modules.c 2009-03-04 23:58:26.000000000 +0100
-@@ -508,6 +508,7 @@
+diff -Nur pango-1.28.3.orig//pango/modules.c pango-1.28.3/pango/modules.c
+--- pango-1.28.3.orig//pango/modules.c 2010-02-09 06:06:28.000000000 -0600
++++ pango-1.28.3/pango/modules.c 2010-10-13 15:53:31.016716077 -0500
+@@ -529,6 +529,7 @@
if (!file_str)
file_str = g_build_filename (pango_get_sysconf_subdirectory (),